Table of Contents

Class: ProxiedParticipant | Twisted-0.19.0/twisted/words/tendril.py
--- | ---
I'm the client of a participant who is connected through Tendril.
Base Classes |
--- | ---
wordsService.WordsClientInterface styles.Ephemeral
Methods |
--- | ---
__init__ receiveDirectMessage setNick
| __init__
    __init__ (
            self,
            tendril,
            nickname,
            )
| receiveDirectMessage
    receiveDirectMessage (
            self,
            sender,
            message,
            metadata=None,
            )
Pass this message through tendril to my IRC counterpart.
| setNick
    setNick ( self,  nickname )

Table of Contents

This document was automatically generated on Sun Jul 14 19:53:46 2002 by HappyDoc version 2.0